Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 261643 - media-sound/amarok-2.0.2 version bump
Summary: media-sound/amarok-2.0.2 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Gentoo KDE team
URL: http://amarok.kde.org/en/releases/2.0.2
Whiteboard:
Keywords:
Depends on: 238487 241134 250805 258861
Blocks:
  Show dependency tree
 
Reported: 2009-03-08 06:48 UTC by Arseny Solokha
Modified: 2009-05-02 20:54 UTC (History)
19 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
2009-03-09-amd64-build.log.bz2 (build.log.bz2,19.14 KB, text/plain)
2009-03-13 19:13 UTC, Arne Babenhauserheide
Details
media-sound/amarok-2.0.2-r1 core duo nocona failed build log (build.log,467.28 KB, text/plain)
2009-04-15 19:18 UTC, renato gallo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Arseny Solokha 2009-03-08 06:48:01 UTC
On March 5 Amarok 2.0.2 has been released.

New release introduces a bunch of fixes, but problems with Qt 4.5 seem to be still present.

Reproducible: Always

Steps to Reproduce:
Comment 1 Kevin Bowling 2009-03-08 07:23:30 UTC
What Qt 4.5 problems are you having?  2.1 is supposed to be right around the corner (according to Amarok blogroll).
Comment 2 Arseny Solokha 2009-03-08 07:42:32 UTC
(In reply to comment #1)
> What Qt 4.5 problems are you having?
I've built Amarok against Qt 4.4 about 3 month ago, and now it works almost fine with lately emerged Qt 4.5. But I see reports around that it's hard to build Amarok 2 agains Qt 4.5. Bug 258861 from Gentoo bugzilla and bug 177863 from KDE bugzilla are typical examples; don't know whether fix from https://bugs.kde.org/show_bug.cgi?id=177863 was backported from trunk to Amarok 2.0.2.

Comment 3 Lars Wendler (Polynomial-C) gentoo-dev 2009-03-08 09:33:54 UTC
Reassigning to kde herd, CCing sound herd.
Comment 4 Ziga Boehm 2009-03-08 23:40:37 UTC
As per bug 258861, fix is included in upcoming 2.1 and is not yet present in current 2.0.2. I can confirm the latter as trying to build amarok without the patch attached to bug 258861 fails with Qt-4.5.
Comment 5 Arne Babenhauserheide 2009-03-13 19:12:12 UTC
In the ebuild from kde-testing my compile stops on amd64 when trying to link the lastfm service (which I can't disable via USE flags). 

[ 70%] Building CXX object src/services/lastfm/lastfm/CMakeFiles/amarok_service_liblastfm.di
r/ws/WsRequestParameters.o
Linking CXX shared library ../../../../lib/libamarok_service_liblastfm.so
[ 70%] Built target amarok_service_liblastfm
make: *** [all] Fehler 2


(I'll attach a build log from 2009-03-09)
Comment 6 Arne Babenhauserheide 2009-03-13 19:13:34 UTC
Created attachment 184905 [details]
2009-03-09-amd64-build.log.bz2
Comment 7 coran.fisher@gmail.com 2009-03-19 03:19:41 UTC
I successfully built on amd64 with the patch for QT 4.5 from https://bugs.gentoo.org/show_bug.cgi?id=258861
Comment 8 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2009-03-29 13:33:14 UTC
I've updated the kde-testing overlay ebuild and it's now building for me on amd64 with the mysql patch. After we get more testing and a new mysql ebuild in the tree fxing mysql build system, I'll close this bug.
Comment 9 Matt Whitlock 2009-04-13 07:53:51 UTC
media-sound/amarok-2.0.2-r1 with dev-db/mysql-5.0.76-r1 crashes at startup if database files are present at ~/.kde4/share/apps/amarok/mysqle.  If that mysqle dir is deleted, then Amarok starts up okay and creates the InnoDB log files but does not create the "amarok" database.  Thus, a full collection rescan results in no media being shown in the collection (because none of the tables are being created, let alone populated).

Would a debug backtrace be helpful in fixing this?  If you already know what the problem is, then I'll save myself the trouble of building debug-enabled binaries.

For what it's worth, when InnoDB log files are present (regardless of whether the "amarok" database dir and table files are present), InnoDB always prints the following at startup:

InnoDB: The log sequence number in ibdata files does not match
InnoDB: the log sequence number in the ib_logfiles!
090413  3:40:48  InnoDB: Database was not shut down normally!
InnoDB: Starting crash recovery.
InnoDB: Reading tablespace information from the .ibd files...
InnoDB: Restoring possible half-written data pages from the doublewrite
InnoDB: buffer...

This happens even after shutting down Amarok using the Quit command on its File menu.  Maybe Amarok is not shutting down the database properly?  By the way, I get this message even when starting up with my mysqle dir in exactly the state in which it had been left by Amarok running with PIC libmysqld.a. (Thankfully I backed it up before starting Amarok with libmysqld.so for the first time, so I can repeat the transition as many times as necessary until it works.)
Comment 10 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2009-04-13 15:48:21 UTC
I'm still runnings tests with amarok and still have to take care of amarok 2.1 beta.
I was hit by this issue yesterday, before the updated xdg-utils hit the tree. After updating to the latest xdg-utils and restart xdm, it's all working here - mysql-community-5.0.77-r1. I'll be testing with mysql-5.0.76-r1 today.
Comment 11 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2009-04-14 03:32:09 UTC
Amarok-2.0.2 added to the tree.
Comment 12 Matt Whitlock 2009-04-15 09:31:34 UTC
This bug needs to be reopened.  Neither amarok-2.0.2-r1 nor amarok-2.0.90 works.  Both are still exhibiting the issue I described in comment #9.  This is with mysql-5.0.76-r1.
Comment 13 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2009-04-15 18:15:31 UTC
Reopened bug.
Comment 14 renato gallo 2009-04-15 19:18:51 UTC
Created attachment 188486 [details]
media-sound/amarok-2.0.2-r1 core duo nocona failed build log

Portage 2.1.6.11 (default/linux/amd64/2008.0, gcc-4.3.3, glibc-2.9_p20081201-r2, 2.6.29.1 x86_64)
=================================================================                                
System uname: Linux-2.6.29.1-x86_64-Intel-R-_Core-TM-2_Quad_CPU_Q6600_@_2.40GHz-with-gentoo-2.0.0
Timestamp of tree: Wed, 15 Apr 2009 18:45:01 +0000                                               
app-shells/bash:     4.0_p17-r1                                                                  
dev-java/java-config: 1.3.7-r1, 2.1.7                                                            
dev-lang/python:     2.5.4-r2, 2.6.1-r1                                                          
dev-python/pycrypto: 2.0.1-r8                                                                    
dev-util/cmake:      2.6.3-r1                                                                    
sys-apps/baselayout: 2.0.0                                                                       
sys-apps/openrc:     0.4.3-r1                                                                    
sys-apps/sandbox:    1.9                                                                         
sys-devel/autoconf:  2.13, 2.63-r1                                                               
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2                                   
sys-devel/binutils:  2.19.1-r1                                                                   
sys-devel/gcc-config: 1.4.1                                                                      
sys-devel/libtool:   2.2.6a                                                                      
virtual/os-headers:  2.6.28-r1                                                                   
ACCEPT_KEYWORDS="amd64 ~amd64"                                                                   
CBUILD="x86_64-pc-linux-gnu"                                                                     
CFLAGS="-march=nocona -O2 -pipe"                                                                 
CHOST="x86_64-pc-linux-gnu"                                                                      
CONFIG_PROTECT="/etc /opt/openjms/config /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"                                                                                                              
CXXFLAGS="-march=nocona -O2 -pipe"                                                                                                 
DISTDIR="/usr/portage/distfiles"                                                                                                   
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"                     
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"                              
LANG="it_IT.UTF-8"                                                                                                                 
LDFLAGS="-Wl,-O1"                                                                                                                  
LINGUAS="it en"                                                                                                                    
MAKEOPTS="-j5"                                                                                                                     
PKGDIR="/usr/portage/packages"                                                                                                     
PORTAGE_CONFIGROOT="/"                                                                                                             
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"                                                                        
PORTAGE_TMPDIR="/var/tmp"                                                                                                          
PORTDIR="/usr/portage"                                                                                                             
PORTDIR_OVERLAY="/usr/local/portage/layman/wschlich-testing /usr/local/portage/layman/sunrise /usr/local/portage/layman/mozilla /usr/local/portage/layman/kde-testing"                                                                                                
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"                                                                              
USE="2dnow 3dnowext 7zip X Xaw3d a52 aac aalib accessibility acl acpi ada addbookmarks akode akonadi alias alsa amd64 amr amrb apache2 applet aqua_theme archive ares arts artswrappersuid artworkextra athena autoipd automount autoreplace avahi bash-completion beagle belagle berkdb bidi bittorrent bl bluetooth bonjour bookmarks branding bzip2 cairo calendar caps captury carbone_theme cdda cddb cdio cdparanoia cdr chm cisco clamavfontconfig cli compiz connectionstatus consolekit contactnotes cpudetection cracklib crypt cscope ctype cups cupsddk curl dbus debug designer-plugin device-mapper dga digitalradio directfb disk-partition diskio djvu dmx dnd doc dri dts dv dvb dvd dvdr dvi editor eds elf emacs emacx enca encode eolconv epiphany esd exif expat extensible fam fasttrack fax fbcon fbcondecor festival ffmpeg filepicker filter firefox flac fltk fontforge foomaticdb fortran freetts freewnn ftp fuse gadu galago gcj gd gdbm gedit ggi gif gimp glib glitz gnokii gnome gnome-keyring gnomecd gnutella gnutls google-gadgets gpg gphoto2 gpm gps graphwiz groupwise gsf gsm gstreamer gtk gtkhtml guile gz gzip-el hal hdf hdri hesiod hfs highlight history hotplug howl-compat httpd hybrid-auth iceweasel iconv idn ieee1394 imagemagick imlib innodb inotify inquisitio ipod iproute2 ipv6 irc irda irmc isdnlogjack jadetex jai java java5 javamail javascript jbig jce jingle jmf jms jmx joystick jpeg jpeg2k kde kde4 kdrive kerberos kipi kolab ladspa lame lapack laptop latex lcms ldap legacyssl libcaca libffi libnotify libsamplerate libssh2 lilo lirc live lm_sensors logitech-mouse lua lzma lzo mad mbrola md5sum mdnsresponder-compat meanwhile mfd-rewrites midi mjpeg mmap mmx mng mono motif mozdevelop mp2 mp3 mpeg msn mudflap mule multilib musepack mysql mysqli mythtv nas nat nautilus ncurses neXt nemesi netmeeting network networking networkmanager new-login nls nntp nowlistening npp nptl nptlonly nsplugin nss odbc odk offensive ogg old-daemons openal openexr openft opengl openmp openntpd opensslcrypt openstreetmap oracle oscar otr pam parse-clocks passwordsave pch pcre pda pdf perl phonon php pink pkcs11 plasma plotutils plugins png pnm pop portage postgres povray ppds pppd pulseaudio python python-bindings q32 q8 qa qt3 qt3support qt4 quicktime radio rar raster rdesktop readline redeyes redland reflection remote resolvconf rpm rrdcgi rss rtc ruby ruby-bindings samba sametime sasl savedconfig scanner schedule script scripting sdl seamonkey semantic-desktop sendmail sesame2 session slang slp smartcard smp sms smux snmp sockets socks5 solver sound soundex speechd speex spell spl sql sqlite srt sse sse2 ssl ssse3 startup-notification statistics stemmer suid svg swat swig sysfs syslog szip t1lib tcl tcltk tcpd teletext test test-programs tetex texteffect tga theora thumbnail tidy tiff tk toolkit-scroll-bars tools tracker translator truetype tseng tunepimp unicode usb utils v4l v4l2 vcd vim-pager vim-syntax vim-with-x visibility vnc vorbis wavpack wddx webinterface webkit webpresence wifiwinpopup wireless wlm wmf x264 xanim xattr xcb xcomposite xemacs xext xface xforms xft xim xine xinerama xinetd xml xml2 xmp xorg xpm xscreensaver xulrunner xv xvid xvmc yahoo zeroconf zlib zoran zsh-completion zvbi" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindexcache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="adc65 agfa_cl20 aox barbie canon casio_qv clicksmart310 digigr8 digita dimagev dimera3500 directory enigma13 fuji gsmart300 hp215 iclick jamcam jd11 kodak_dc120 kodak_dc210 kodak_dc240 kodak_dc3200 kodak_ez200 konica konica_qm150 largan lg_gsm mars mustek panasonic_coolshot panasonic_dc1000 panasonic_dc1580 panasonic_l859 pccam300 pccam600 polaroid_pdc320 polaroid_pdc640 polaroid_pdc700 ptp2 ricoh ricoh_g3 samsung sierra sipix_blink sipix_blink2 sipix_web2 smal sonix sony_dscf1 sony_dscf55 soundvision spca50x sq905 stv0674 stv0680 sx330z template toshiba_pdrm11" DVB_CARDS="tda1004x" ELIBC="glibc" INPUT_DEVICES="evdev keyboard mouse acecad aiptek digitaledge elographics fpit hyperpen jamstudio joystick magellan mutouch palmax spaceorb summa synaptics tek4957 ur98 vmmouse void wacom" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="it en" LIRC_DEVICES="pctv" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 15 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2009-04-15 20:15:59 UTC
(In reply to comment #14)
> Created an attachment (id=188486) [edit]
> media-sound/amarok-2.0.2-r1 core duo nocona failed build log

The merge process is dying when processing qtscriptgenerator. Please sync the tree and try again.
Comment 16 Matt Whitlock 2009-04-17 03:38:40 UTC
How did the RedHat people get a libmysqld.so?

http://rpmfind.net/linux/rpm2html/search.php?query=libmysqld.so.0

Looks like they've actually had it since October:

https://bugzilla.redhat.com/show_bug.cgi?id=149829
Comment 17 renato gallo 2009-04-17 09:40:37 UTC
just synced it crashes on startup on 64 bit nocona machine

(In reply to comment #15)
> (In reply to comment #14)
> > Created an attachment (id=188486) [edit]
> > media-sound/amarok-2.0.2-r1 core duo nocona failed build log
> 
> The merge process is dying when processing qtscriptgenerator. Please sync the
> tree and try again.
> 

Comment 18 Steve Kutnar 2009-04-17 12:17:18 UTC
I've never had an issue with 2.0.2 running on amd64.  I rebuilt it last evening after qtscriptgenerator and it still runs great.  One thing you might want to try is to remove everything inside ~/.kde4/share/apps/amarok/ to see if that helps.  Amarok will rebuild the collection(s).

I do still see the InnoDB messages that many others have seen, but it doesn't seem to have any ill effect in my case.
Comment 19 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2009-04-17 12:20:46 UTC
(In reply to comment #16)
> How did the RedHat people get a libmysqld.so?
> http://rpmfind.net/linux/rpm2html/search.php?query=libmysqld.so.0
> 
> Looks like they've actually had it since October:
> https://bugzilla.redhat.com/show_bug.cgi?id=149829

Are you sure they really have a shared lib for mysql-embedded? I din't open the rpm just to check that, but reading https://bugzilla.redhat.com/show_bug.cgi?id=149829 and looking at the bug report, I see 2 patches, one from 2005 and the recent one from October https://bugzilla.redhat.com/attachment.cgi?id=318106 - compare this last one with our patch and you'll see the scope has no comparison.
Comment 20 Matt Whitlock 2009-04-17 16:23:56 UTC
(In reply to comment #19)
> Are you sure they really have a shared lib for mysql-embedded?

I think they just compiled libmysqld.a with -fPIC and then bundled it up into a shared library.  That's easier to do when your distro distributes everything as wads of binary.
Comment 21 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2009-04-17 16:28:18 UTC
(In reply to comment #20)
> (In reply to comment #19)
> > Are you sure they really have a shared lib for mysql-embedded?
> 
> I think they just compiled libmysqld.a with -fPIC and then bundled it up into a
> shared library.  That's easier to do when your distro distributes everything as
> wads of binary.

The -fPIC hack does *not* provide a shared libmysqld. To get that, one need to fixes the mysql build system and that's what our patch does. I don't think anything "smaller" or "simpler" than our patch can do it.
All the -fPIC hack allows you to do is to bundle into the amarok executable the libmysqld.a lib - which is not possible under x86_64 without the hack.
Comment 22 Matt Whitlock 2009-04-17 17:45:48 UTC
(In reply to comment #21)
> The -fPIC hack does *not* provide a shared libmysqld. To get that, one need to
> fixes the mysql build system and that's what our patch does. I don't think
> anything "smaller" or "simpler" than our patch can do it.
> All the -fPIC hack allows you to do is to bundle into the amarok executable the
> libmysqld.a lib - which is not possible under x86_64 without the hack.
> 

They aren't embedding the MySQL code into the Amarok executable.  They are dynamically linking against a libmysqld.so, which they produced with the following command following the usual MySQL build process:

gcc -shared -Wl,-soname,libmysqld.so.1 -o libmysqld.so.1.0.1 *.o -lc

In other words, they are packaging all the compiled object files into a shared object.  Of course, the object files were compiled with -fPIC, meaning the object files used to produce libmysqld.so should not also be used to produce libmysqld.a.  The static and shared versions of the library would need to be compiled in separate passes.  Of course, that's no problem for a binary distro, but does slow down a source distro.

See this mailing list thread:
http://lists.mysql.com/internals/35948

I have no doubt that your patch way of doing it is superior in theory, but you have to get it to work.
Comment 23 Nexion Kind 2009-04-20 01:45:11 UTC
There is a bug in this version which is described here:
https://bugs.kde.org/show_bug.cgi?id=188678
Please, add this patch to the ebuild:
http://bugsfiles.kde.org/attachment.cgi?id=32615

I can confirm it solves the problem with last.fm scrobbling.
Comment 24 Jean-Philippe Robichaud 2009-04-21 19:29:55 UTC
> I was hit by this issue yesterday, before the updated xdg-utils hit the tree.
> After updating to the latest xdg-utils and restart xdm, it's all working here -
> mysql-community-5.0.77-r1. I'll be testing with mysql-5.0.76-r1 today.
> 
FYI: 
After upgrading to 2.0.2-r1, I had the same problem as in comment #9.  I was using mysql-5.0.76-r1.  After reading this thread, I emerged mysql-community-5.0.77-r1 and the issue was still there (even after recompiling amarok itself, a  couple of times).  

I deleted everything under ~/.kde4.2/share/apps/amarok/ and now amarok starts correctly (with the same types of messages as in comment #9).  And just like in the comment #9, the collection is always empty even if amarok did scan it. 
Comment 25 David Carlos Manuelda 2009-04-21 22:10:21 UTC
I don't know why but it works with the --as-needed LDFLAGS and not without custom LDFLAGS which is, by the way, the recommended config.
Comment 26 Steve Kutnar 2009-04-21 22:32:08 UTC
(In reply to comment #25)
> I don't know why but it works with the --as-needed LDFLAGS and not without
> custom LDFLAGS which is, by the way, the recommended config.
> 

Interesting.  I've been using Flameeye's GCC spec method of forcing --as-needed and have had nothing but success with the latest Amarok + MySQL.
Comment 27 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2009-04-21 22:57:19 UTC
(In reply to comment #25)
> I don't know why but it works with the --as-needed LDFLAGS and not without
> custom LDFLAGS which is, by the way, the recommended config.

I've been getting so much mail about the new amarok and talked to so many people, that I forgot to add a note here.
The current mysql-5.0.76-r1/mysql-community-5.0.77-r1 and amarok-2.0.2-r1/amarok-2.0.90 work perfectly if built with --as-needed. All the issues affect only people not using --as-needed.
Comment 28 Matt Whitlock 2009-04-21 23:32:09 UTC
Could you explain to us how --as-needed helps the situation?  I've read the 'ld' man page, but the description of --as-needed there doesn't shed any light on why that option would be necessary to make Amarok work with MySQL.  Also, what are the drawbacks to using that option?  Why is it not the default?  Why does the MySQL eclass not enable it?  Thanks for any enlightenment you could bestow on us mere-mortal users.
Comment 29 Steve Kutnar 2009-04-22 00:06:18 UTC
This isn't really the right place for the discussion of --as-needed, but here is a link: http://forums.gentoo.org/viewtopic-t-715157.html

That links to a lot of the relevant discussion.
Comment 30 Kevin Bowling 2009-04-22 00:42:49 UTC
jmbsvicetto's 2.0.90-r1 revbump now working with MySQL 5.0.76 on amd64 (no -fpic).  Thanks!
Comment 31 Matt Whitlock 2009-04-22 00:54:57 UTC
(In reply to comment #29)
> This isn't really the right place for the discussion of --as-needed, but here
> is a link: http://forums.gentoo.org/viewtopic-t-715157.html
> 
> That links to a lot of the relevant discussion.
> 

Thanks for the link.  I know quite a bit more about it now.  Funny, it seems much caution is advised when using --as-needed because it can break packages that weren't designed for it, but in this case the package is broken if the flag is *NOT* used.  Does that mean the Amarok MySQLe collection plugin is getting "too much" initialization by loading MySQL libraries that it doesn't actually reference, unless those "extraneous" libraries are omitted by --as-needed?  If so, which project is at fault, MySQL or Amarok?
Comment 32 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2009-04-22 01:57:11 UTC
(In reply to comment #30)
> jmbsvicetto's 2.0.90-r1 revbump now working with MySQL 5.0.76 on amd64 (no
> -fpic).  Thanks!
> 

mysql-5.0.76 or mysql-5.0.76-r1? The former won't compile on amd64 without the -fPIC hack.
Comment 33 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2009-04-22 02:01:32 UTC
(In reply to comment #28)
> Could you explain to us how --as-needed helps the situation?  I've read the
> 'ld' man page, but the description of --as-needed there doesn't shed any light
> on why that option would be necessary to make Amarok work with MySQL.  Also,
> what are the drawbacks to using that option?  Why is it not the default?  Why
> does the MySQL eclass not enable it?  Thanks for any enlightenment you could
> bestow on us mere-mortal users.

One of the above comments added a link to the forums with some info about --as-needed. In any case, the official doc about it can be checked on http://www.gentoo.org/proj/en/qa/asneeded.xml

An important point here is that I expect this will work by just building amarok with --as-needed. To test that, I've added a 2.0.90-r1 ebuild to the overlay.
I already have some people testing this, but if someone wants to test this as well, please ensure you build mysql-5.0.76-r1/mysql-community-5.0.77-r1 without the -fPIC hack and then try to build amarok-2.0.90-r1 from the overlay.
Send me a mail or add a note in #gentoo-kde about this. One or two notes here about it working would be welcome, but please don't pile up "here to" comments.
Comment 34 Kevin Bowling 2009-04-22 02:07:48 UTC
I will clarify: mysql-5.0.76-r1 WITHOUT -fpic DOES work with amarok-2.0.90-r1 now.
Comment 35 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2009-04-22 02:16:43 UTC
(In reply to comment #34)
> I will clarify: mysql-5.0.76-r1 WITHOUT -fpic DOES work with amarok-2.0.90-r1
> now.

Thanks, that's what I wanted to hear. :)
Everyone please try the 2.0.90-r1 from the overlay or the 2.0.2-r2 from the tree. You may have to wait for the mirrors to sync for the latter.
Comment 36 renato gallo 2009-04-22 05:13:05 UTC
can someone remind me where it was to be written the -fPIC syntax ? 
Comment 37 Nexion Kind 2009-04-23 02:28:39 UTC
(In reply to comment #35)

> Thanks, that's what I wanted to hear. :)
> Everyone please try the 2.0.90-r1 from the overlay or the 2.0.2-r2 from the
> tree. You may have to wait for the mirrors to sync for the latter.
> 

Confirm, amarok-2.0.2-r2 compiled against mysql-5.0.76-r1 is working fine. But why not to add lastfm patch (comment #23)?
Comment 38 Matt Whitlock 2009-04-23 02:33:31 UTC
(In reply to comment #37)
> why not to add lastfm patch (comment #23)?
> 

Scrobbling has been working fine for me with amarok-2.0.90-r1.
Comment 39 Nexion Kind 2009-04-23 02:38:13 UTC
(In reply to comment #38)
> (In reply to comment #37)
> > why not to add lastfm patch (comment #23)?
> > 
> 
> Scrobbling has been working fine for me with amarok-2.0.90-r1.
> 
Yes, it was fixed in 2.1 branch, but 2.0.2 still needs this patch for scrobbling to work.
Comment 40 renato gallo 2009-04-23 08:01:31 UTC
while 2.0.2-r1 works perfectly for me the amarok 2.0.90 series doesn't update my collection complaining in debug mode that the sync has already been started 

(In reply to comment #38)
> (In reply to comment #37)
> > why not to add lastfm patch (comment #23)?
> > 
> 
> Scrobbling has been working fine for me with amarok-2.0.90-r1.
> 

Comment 41 renato gallo 2009-04-23 08:02:11 UTC
the 2.0.2-r2 works like a charm too
Comment 42 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2009-04-23 11:35:10 UTC
(In reply to comment #37)
> (In reply to comment #35)
> 
> > Thanks, that's what I wanted to hear. :)
> > Everyone please try the 2.0.90-r1 from the overlay or the 2.0.2-r2 from the
> > tree. You may have to wait for the mirrors to sync for the latter.
> > 
> 
> Confirm, amarok-2.0.2-r2 compiled against mysql-5.0.76-r1 is working fine. But
> why not to add lastfm patch (comment #23)?

I plan to test that patch and if there's no issue adding it. However, I haven't add the time to get to it yet.
Comment 43 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2009-04-24 03:00:21 UTC
(In reply to comment #42)
> > Confirm, amarok-2.0.2-r2 compiled against mysql-5.0.76-r1 is working fine. But
> > why not to add lastfm patch (comment #23)?
> 
> I plan to test that patch and if there's no issue adding it. However, I haven't
> add the time to get to it yet.

I've now added amarok-2.0.2-r3 to the tree with the lastfm patch. lastfm seems to be working here, but it seems I lost my collection, although there's no error in konsole about it.
Anyone willing to test it, please let me know if you still have your collection or if the -r3 bump broke it again.
Comment 44 renato gallo 2009-04-24 08:42:38 UTC
it works and haven't lost anything 







(In reply to comment #43)
> (In reply to comment #42)
> > > Confirm, amarok-2.0.2-r2 compiled against mysql-5.0.76-r1 is working fine. But
> > > why not to add lastfm patch (comment #23)?
> > 
> > I plan to test that patch and if there's no issue adding it. However, I haven't
> > add the time to get to it yet.
> 
> I've now added amarok-2.0.2-r3 to the tree with the lastfm patch. lastfm seems
> to be working here, but it seems I lost my collection, although there's no
> error in konsole about it.
> Anyone willing to test it, please let me know if you still have your collection
> or if the -r3 bump broke it again.
> 

Comment 45 Mikael Lammentausta 2009-04-26 09:34:52 UTC
Very good. 2.0.2-r3 fixes the missing collection issue as well as last.fm scrobbling. I had removed my mysqle folder so I don't know if this destroys the collection or not, but the message above says it shouldn't.

Thank you very much. :)
Comment 46 renato gallo 2009-04-26 09:48:33 UTC
my pleasure

(In reply to comment #45)
> Very good. 2.0.2-r3 fixes the missing collection issue as well as last.fm
> scrobbling. I had removed my mysqle folder so I don't know if this destroys the
> collection or not, but the message above says it shouldn't.
> 
> Thank you very much. :)
> 

Comment 47 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2009-05-02 20:54:21 UTC
(In reply to comment #43)
> (In reply to comment #42)
...
> I've now added amarok-2.0.2-r3 to the tree with the lastfm patch. lastfm seems
> to be working here, but it seems I lost my collection, although there's no
> error in konsole about it.
> Anyone willing to test it, please let me know if you still have your collection
> or if the -r3 bump broke it again.

Given the lack of reports about a broken collection and that an update to kde-env fixed it here, I'm closing this bug as *finally* fixed.